oracle.adf.view.rich.component.rich.input

## Class RichInputColor

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXValue
        - - org.apache.myfaces.trinidad.component.UIXEditableValue
          - - org.apache.myfaces.trinidad.component.UIXSelectInput
            - - oracle.adf.view.rich.component.rich.input.RichInputColor

- All Implemented Interfaces:
    EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class RichInputColor
      extends org.apache.myfaces.trinidad.component.UIXSelectInput
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The inputColor component creates a text field for entering colors and a button for picking colors from a palette. The value attribute should be a java.awt.Color object.

  For this component, actionListener and returnListener attributes will only be fired on a PDA.

  The inputColor will default its format to the "Hex" color format; however, the format can be overridden by using a ColorConverter. When adding a custom converter to inputColor, it must have a client side representation (it must implement the org.apache.myfaces.trinidad.convert.ClientConverter interface).

  ## Geometry Management

  - This component cannot be stretched by a parent layout component.
  - This component does not display any children so there are no child stretching capabilities.

  ### Events:

  Type | Phases | Description
  --- | --- | ---
  `javax.faces.event.ActionEvent` | Apply Request Values | Event delivered when the "action" of the component has been invoked; for example, by clicking on a button. The action may result in page navigation.
  `org.apache.myfaces.trinidad.event.ReturnEvent` | Apply Request Values | Event delivered when the dialog has completed successfully.
  `javax.faces.event.ValueChangeEvent` | Process Validations Apply Request Values | The valueChange event is delivered when the value attribute is changed.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `org.apache.myfaces.trinidad.component.UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `ACCESS_KEY_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `AUTO_COMPLETE_KEY`
    `static String` | `AUTO_COMPLETE_OFF`
    `static String` | `AUTO_COMPLETE_ON`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `AUTO_SUBMIT_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CHANGED_DESC_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CHANGED_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CHOOSE_ID_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_ATTRIBUTES_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_COMPONENT_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_LISTENERS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `COLOR_DATA_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `COLUMNS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `COMPACT_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CONTENT_STYLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CUSTOM_COLOR_DATA_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CUSTOM_VISIBLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CUSTOMIZATION_ID_KEY` Deprecated.
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DEFAULT_COLOR_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DEFAULT_VISIBLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DISABLED_KEY`
    `static String` | `EDITABLE_ALWAYS`
    `static String` | `EDITABLE_INHERIT`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `EDITABLE_KEY`
    `static String` | `EDITABLE_ON_ACCESS`
    `static String` | `HELP_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `HELP_TOPIC_ID_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `INLINE_STYLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `LABEL_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `LABEL_STYLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `LAST_USED_VISIBLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `PLACEHOLDER_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `READ_ONLY_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SHORT_DESC_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SHOW_REQUIRED_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SIMPLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `STYLE_CLASS_KEY`
    `static org.apache.myfaces.trinidad.bean.FacesBean.Type` | `TYPE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `UNSECURE_KEY`
    `static String` | `USAGE_AUTO`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `USAGE_KEY`
    `static String` | `USAGE_SEARCH`
    `static String` | `USAGE_TEXT`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `VISIBLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `WIDTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXSelectInput

      `ACTION_EXPRESSION_KEY, ACTION_LISTENER_KEY, RETURN_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `CONVERSION_MESSAGE_ID, IMMEDIATE_KEY, LOCAL_VALUE_SET_KEY, PROTECTION_KEY_KEY, REQUIRED_KEY, REQUIRED_MESSAGE_DETAIL_KEY, REQUIRED_MESSAGE_ID, SUBMITTED_VALUE_KEY, TOKENIZE_MAP_KEY, TRINIDAD_BEAN_VALIDATION_AVAILABLE, TRINIDAD_EMPTY_VALUES_AS_NULL_PARAM_NAME, VALID_KEY, VALIDATE_EMPTY_FIELDS_PARAM_NAME, VALIDATOR_KEY, VALIDATORS_KEY, VALUE_CHANGE_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `CONVERTER_KEY, VALUE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RichInputColor()` Construct an instance of the RichInputColor.
    `protected` | `RichInputColor(String rendererType)` Construct an instance of the RichInputColor with the specified renderer type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `char` | `getAccessKey()` Gets
    `String` | `getAutoComplete()` Gets whether previous values of text fields in the form should be remembered and offered for auto completion.
    `protected org.apache.myfaces.trinidad.bean.FacesBean.Type` | `getBeanType()`
    `String` | `getChangedDesc()` Gets the text commonly used by user agents to display tooltip text on the changed indicator icon.
    `String` | `getChooseId()` Gets
    `Set` | `getClientAttributes()` Gets a set of client attribute names.
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()`
    `ClientListenerSet` | `getClientListeners()` Gets a set of client listeners.
    `List<Color>` | `getColorData()` Gets the list of colors to be displayed in the standard color palette.
    `int` | `getColumns()` Gets the number of columns to display in the text control.
    `String` | `getContentStyle()` Gets the style of the content piece of the component.
    `List<Color>` | `getCustomColorData()` Gets the list of custom defined colors.
    `String` | `getCustomizationId()` Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
    `Color` | `getDefaultColor()` Gets the default color.
    `String` | `getDefaultEventName()`
    `String` | `getEditable()` Gets the editable look and feel to use for input components.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `javax.faces.component.UIComponent` | `getHelp()` This facet is deprecated, helpTopicId should be used for providing help.
    `String` | `getHelpTopicId()` Gets the id used to look up a topic in a helpProvider.
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `String` | `getLabel()` Gets the label of the component.
    `String` | `getLabelStyle()` Gets the CSS styles to use for the label of this component.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getPlaceholder()` Gets Text to be displayed in the input component when a value is not present.
    `String` | `getShortDesc()` Gets the short description of the component.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `Set<String>` | `getUnsecure()` Gets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client.
    `String` | `getUsage()` Gets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc).
    `int` | `getWidth()` Gets the width of the standard palette in cells.
    `boolean` | `isAutoSubmit()` Gets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.).
    `boolean` | `isChanged()` Gets an attribute which if set to true, the changed indicator icon will be displayed on the component.
    `boolean` | `isClientComponent()` Gets whether a client-side component will be generated.
    `boolean` | `isCompact()` Gets an attribute which when set to true, the color value text field will be hidden.
    `boolean` | `isCustomVisible()` Gets whether the Custom Color button and custom color row are displayed.
    `boolean` | `isDefaultVisible()` Gets whether the Default button is displayed.
    `boolean` | `isDisabled()` Gets whether the element is disabled.
    `boolean` | `isLastUsedVisible()` Gets whether the Last Used button is displayed.
    `boolean` | `isReadOnly()` Gets whether the control is displayed as an editable field or as an output-style text control.
    `boolean` | `isShowRequired()` Gets whether the associated control displays a visual indication of required user input.
    `boolean` | `isSimple()` Gets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives.
    `boolean` | `isVisible()` Gets the visibility of the component.
    `void` | `setAccessKey(char accessKey)` Sets
    `void` | `setAutoComplete(String autoComplete)` Sets whether previous values of text fields in the form should be remembered and offered for auto completion.
    `void` | `setAutoSubmit(boolean autoSubmit)` Sets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.).
    `void` | `setChanged(boolean changed)` Sets an attribute which if set to true, the changed indicator icon will be displayed on the component.
    `void` | `setChangedDesc(String changedDesc)` Sets the text commonly used by user agents to display tooltip text on the changed indicator icon.
    `void` | `setChooseId(String chooseId)` Sets
    `void` | `setClientAttributes(Set clientAttributes)` Sets a set of client attribute names.
    `void` | `setClientComponent(boolean clientComponent)` Sets whether a client-side component will be generated.
    `void` | `setClientListeners(ClientListenerSet clientListeners)` Sets a set of client listeners.
    `void` | `setColorData(List<Color> colorData)` Sets the list of colors to be displayed in the standard color palette.
    `void` | `setColumns(int columns)` Sets the number of columns to display in the text control.
    `void` | `setCompact(boolean compact)` Sets an attribute which when set to true, the color value text field will be hidden.
    `void` | `setContentStyle(String contentStyle)` Sets the style of the content piece of the component.
    `void` | `setCustomColorData(List<Color> customColorData)` Sets the list of custom defined colors.
    `void` | `setCustomizationId(String customizationId)` Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
    `void` | `setCustomVisible(boolean customVisible)` Sets whether the Custom Color button and custom color row are displayed.
    `void` | `setDefaultColor(Color defaultColor)` Sets the default color.
    `void` | `setDefaultVisible(boolean defaultVisible)` Sets whether the Default button is displayed.
    `void` | `setDisabled(boolean disabled)` Sets whether the element is disabled.
    `void` | `setEditable(String editable)` Sets the editable look and feel to use for input components.
    `void` | `setHelp(javax.faces.component.UIComponent helpFacet)` This facet is deprecated, helpTopicId should be used for providing help.
    `void` | `setHelpTopicId(String helpTopicId)` Sets the id used to look up a topic in a helpProvider.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setLabel(String label)` Sets the label of the component.
    `void` | `setLabelStyle(String labelStyle)` Sets the CSS styles to use for the label of this component.
    `void` | `setLastUsedVisible(boolean lastUsedVisible)` Sets whether the Last Used button is displayed.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setPlaceholder(String placeholder)` Sets Text to be displayed in the input component when a value is not present.
    `void` | `setReadOnly(boolean readOnly)` Sets whether the control is displayed as an editable field or as an output-style text control.
    `void` | `setShortDesc(String shortDesc)` Sets the short description of the component.
    `void` | `setShowRequired(boolean showRequired)` Sets whether the associated control displays a visual indication of required user input.
    `void` | `setSimple(boolean simple)` Sets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setUnsecure(Set<String> unsecure)` Sets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client.
    `void` | `setUsage(String usage)` Sets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc).
    `void` | `setVisible(boolean visible)` Sets the visibility of the component.
    `void` | `setWidth(int width)` Sets the width of the standard palette in cells.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXSelectInput

      `addActionListener, addReturnListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getReturnListener, getReturnListeners, queueEvent, removeActionListener, removeReturnListener, setAction, setActionExpression, setActionListener, setReturnListener, setReturnListener`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `addValidator, addValueChangeListener, addValueUpdatedListener, compareValues, getConvertedValue, getProtectionKey, getRequiredMessageDetail, getRequiredMessageKey, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, removeValueUpdatedListener, resetValue, setImmediate, setLocalValueSet, setProtectionKey, setRequired, setRequiredMessageDetail, setSubmittedValue, setValid, setValidator, setValueChangeListener, shouldInterpretEmptyStringSubmittedValuesAsNull, shouldValidateEmptyFields, updateModel, validate, validateValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `getConverter, getLocalValue, getValue, setConverter, setValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ActionSource

      `isImmediate, setImmediate`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter, setValue`

- - ### Field Detail

    - #### EDITABLE_INHERIT

          public static final String EDITABLE_INHERIT

      See Also:
        Constant Field Values

    - #### EDITABLE_ALWAYS

          public static final String EDITABLE_ALWAYS

      See Also:
        Constant Field Values

    - #### EDITABLE_ON_ACCESS

          public static final String EDITABLE_ON_ACCESS

      See Also:
        Constant Field Values

    - #### USAGE_AUTO

          public static final String USAGE_AUTO

      See Also:
        Constant Field Values

    - #### USAGE_TEXT

          public static final String USAGE_TEXT

      See Also:
        Constant Field Values

    - #### USAGE_SEARCH

          public static final String USAGE_SEARCH

      See Also:
        Constant Field Values

    - #### AUTO_COMPLETE_ON

          public static final String AUTO_COMPLETE_ON

      See Also:
        Constant Field Values

    - #### AUTO_COMPLETE_OFF

          public static final String AUTO_COMPLETE_OFF

      See Also:
        Constant Field Values

    - #### TYPE

          public static final org.apache.myfaces.trinidad.bean.FacesBean.Type TYPE

    - #### CHANGED_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CHANGED_KEY

    - #### CHANGED_DESC_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CHANGED_DESC_KEY

    - #### AUTO_SUBMIT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey AUTO_SUBMIT_KEY

    - #### ACCESS_KEY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey ACCESS_KEY_KEY

    - #### CONTENT_STYLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CONTENT_STYLE_KEY

    - #### HELP_TOPIC_ID_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey HELP_TOPIC_ID_KEY

    - #### DISABLED_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DISABLED_KEY

    - #### LABEL_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey LABEL_KEY

    - #### LABEL_STYLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey LABEL_STYLE_KEY

    - #### READ_ONLY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey READ_ONLY_KEY

    - #### SHOW_REQUIRED_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SHOW_REQUIRED_KEY

    - #### SIMPLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SIMPLE_KEY

    - #### SHORT_DESC_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SHORT_DESC_KEY

    - #### UNSECURE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey UNSECURE_KEY

    - #### VISIBLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey VISIBLE_KEY

    - #### CUSTOMIZATION_ID_KEY

          @Deprecated
          public static final org.apache.myfaces.trinidad.bean.PropertyKey CUSTOMIZATION_ID_KEY

      Deprecated.

    - #### CLIENT_COMPONENT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_COMPONENT_KEY

    - #### CLIENT_ATTRIBUTES_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_ATTRIBUTES_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey PARTIAL_TRIGGERS_KEY

    - #### CLIENT_LISTENERS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_LISTENERS_KEY

    - #### COLOR_DATA_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey COLOR_DATA_KEY

    - #### CUSTOM_COLOR_DATA_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CUSTOM_COLOR_DATA_KEY

    - #### DEFAULT_COLOR_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DEFAULT_COLOR_KEY

    - #### WIDTH_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey WIDTH_KEY

    - #### LAST_USED_VISIBLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey LAST_USED_VISIBLE_KEY

    - #### DEFAULT_VISIBLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DEFAULT_VISIBLE_KEY

    - #### CUSTOM_VISIBLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CUSTOM_VISIBLE_KEY

    - #### EDITABLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey EDITABLE_KEY

    - #### PLACEHOLDER_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey PLACEHOLDER_KEY

    - #### USAGE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey USAGE_KEY

    - #### COLUMNS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey COLUMNS_KEY

    - #### AUTO_COMPLETE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey AUTO_COMPLETE_KEY

    - #### INLINE_STYLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey INLINE_STYLE_KEY

    - #### CHOOSE_ID_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CHOOSE_ID_KEY

    - #### STYLE_CLASS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey STYLE_CLASS_KEY

    - #### COMPACT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey COMPACT_KEY

    - #### HELP_FACET

          public static final String HELP_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RichInputColor

          public RichInputColor()

      Construct an instance of the RichInputColor.

    - #### RichInputColor

          protected RichInputColor(String rendererType)

      Construct an instance of the RichInputColor with the specified renderer type.
      Parameters:
        `rendererType` - the renderer type Construct an instance of the RichInputColor.

  - ### Method Detail

    - #### getHelp

          public final javax.faces.component.UIComponent getHelp()

      This facet is deprecated, helpTopicId should be used for providing help. This is a no-op for form components.
      Returns:
        the help facet

    - #### setHelp

          public final void setHelp(javax.faces.component.UIComponent helpFacet)

      This facet is deprecated, helpTopicId should be used for providing help. This is a no-op for form components.
      Parameters:
        `helpFacet` - the new help facet

    - #### isChanged

          public final boolean isChanged()

      Gets an attribute which if set to true, the changed indicator icon will be displayed on the component.
      Returns:
        the new changed value

    - #### setChanged

          public final void setChanged(boolean changed)

      Sets an attribute which if set to true, the changed indicator icon will be displayed on the component.
      Parameters:
        `changed` - the new changed value

    - #### getChangedDesc

          public final String getChangedDesc()

      Gets the text commonly used by user agents to display tooltip text on the changed indicator icon. Default value is "Changed". The behavior of the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips.
      Returns:
        the new changedDesc value

    - #### setChangedDesc

          public final void setChangedDesc(String changedDesc)

      Sets the text commonly used by user agents to display tooltip text on the changed indicator icon. Default value is "Changed". The behavior of the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips.
      Parameters:
        `changedDesc` - the new changedDesc value

    - #### isAutoSubmit

          public final boolean isAutoSubmit()

      Gets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.). Since autoSubmit is a partial submit, also submitted and re-rendered are any other components with partialTriggers pointing to this component.
      Returns:
        the new autoSubmit value

    - #### setAutoSubmit

          public final void setAutoSubmit(boolean autoSubmit)

      Sets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.). Since autoSubmit is a partial submit, also submitted and re-rendered are any other components with partialTriggers pointing to this component.
      Parameters:
        `autoSubmit` - the new autoSubmit value

    - #### getAccessKey

          public final char getAccessKey()

      Gets

      a character used to gain quick access to the form element specified by the `for`, if set (or this component itself, if it is a "non-simple" form element). If the same access key appears in multiple locations in the same page of output, the rendering user agent will cycle among the elements accessed by the similar keys.

      This attribute is sometimes referred to as the "mnemonic".

      Note that the accessKey is triggered by browser-specific and platform-specific modifier keys. It even has browser-specific meaning. For example, Internet Explorer will set focus when you press Alt+<accessKey>. Firefox sets focus on some operating systems when you press Alt+Shift+<accessKey>. Firefox on other operating systems sets focus when you press Control+<accessKey>. Refer to your browser's documentation for how it treats access keys.

      Returns:
        the new accessKey value

    - #### setAccessKey

          public final void setAccessKey(char accessKey)

      Sets

      a character used to gain quick access to the form element specified by the `for`, if set (or this component itself, if it is a "non-simple" form element). If the same access key appears in multiple locations in the same page of output, the rendering user agent will cycle among the elements accessed by the similar keys.

      This attribute is sometimes referred to as the "mnemonic".

      Note that the accessKey is triggered by browser-specific and platform-specific modifier keys. It even has browser-specific meaning. For example, Internet Explorer will set focus when you press Alt+<accessKey>. Firefox sets focus on some operating systems when you press Alt+Shift+<accessKey>. Firefox on other operating systems sets focus when you press Control+<accessKey>. Refer to your browser's documentation for how it treats access keys.

      Parameters:
        `accessKey` - the new accessKey value

    - #### getContentStyle

          public final String getContentStyle()

      Gets the style of the content piece of the component. You can style width by setting this attribute like this: width: 100px. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute.
      Returns:
        the new contentStyle value

    - #### setContentStyle

          public final void setContentStyle(String contentStyle)

      Sets the style of the content piece of the component. You can style width by setting this attribute like this: width: 100px. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute.
      Parameters:
        `contentStyle` - the new contentStyle value

    - #### getHelpTopicId

          public final String getHelpTopicId()

      Gets the id used to look up a topic in a helpProvider.
      Returns:
        the new helpTopicId value

    - #### setHelpTopicId

          public final void setHelpTopicId(String helpTopicId)

      Sets the id used to look up a topic in a helpProvider.
      Parameters:
        `helpTopicId` - the new helpTopicId value

    - #### isDisabled

          public final boolean isDisabled()

      Gets whether the element is disabled. Unlike a readonly component, a disabled component is unable to receive focus. If the component has the potential to have a scrollbar, and you want the user to be able to scroll through the component's text or values, use the 'readOnly' attribute, not the 'disabled' attribute.
      Returns:
        the new disabled value

    - #### setDisabled

          public final void setDisabled(boolean disabled)

      Sets whether the element is disabled. Unlike a readonly component, a disabled component is unable to receive focus. If the component has the potential to have a scrollbar, and you want the user to be able to scroll through the component's text or values, use the 'readOnly' attribute, not the 'disabled' attribute.
      Parameters:
        `disabled` - the new disabled value

    - #### getLabel

          public final String getLabel()

      Gets the label of the component. If you want the label to appear above the control, use a panelFormLayout.
      Returns:
        the new label value

    - #### setLabel

          public final void setLabel(String label)

      Sets the label of the component. If you want the label to appear above the control, use a panelFormLayout.
      Parameters:
        `label` - the new label value

    - #### getLabelStyle

          public final String getLabelStyle()

      Gets the CSS styles to use for the label of this component. The labelStyle is a set of CSS styles that are applied to the label DOM element of the component. This allows a label to be styled without requiring a new skin definition.
      Returns:
        the new labelStyle value

    - #### setLabelStyle

          public final void setLabelStyle(String labelStyle)

      Sets the CSS styles to use for the label of this component. The labelStyle is a set of CSS styles that are applied to the label DOM element of the component. This allows a label to be styled without requiring a new skin definition.
      Parameters:
        `labelStyle` - the new labelStyle value

    - #### isReadOnly

          public final boolean isReadOnly()

      Gets whether the control is displayed as an editable field or as an output-style text control. Unlike a disabled component, a readonly component is able to receive focus.
      Returns:
        the new readOnly value

    - #### setReadOnly

          public final void setReadOnly(boolean readOnly)

      Sets whether the control is displayed as an editable field or as an output-style text control. Unlike a disabled component, a readonly component is able to receive focus.
      Parameters:
        `readOnly` - the new readOnly value

    - #### isShowRequired

          public final boolean isShowRequired()

      Gets whether the associated control displays a visual indication of required user input. If a "required" attribute is also present, both the "required" attribute and the "showRequired" attribute must be false for the visual indication not to be displayed. An example of when it can be desirable to use the showRequired property is if you have a field that is initially empty and is required only if some other field on the page is touched.
      Returns:
        the new showRequired value

    - #### setShowRequired

          public final void setShowRequired(boolean showRequired)

      Sets whether the associated control displays a visual indication of required user input. If a "required" attribute is also present, both the "required" attribute and the "showRequired" attribute must be false for the visual indication not to be displayed. An example of when it can be desirable to use the showRequired property is if you have a field that is initially empty and is required only if some other field on the page is touched.
      Parameters:
        `showRequired` - the new showRequired value

    - #### isSimple

          public final boolean isSimple()

      Gets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives. One of the usecases can be when the component is used in repeatable elements like in table, for-each etc., where label is not required.
      Returns:
        the new simple value

    - #### setSimple

          public final void setSimple(boolean simple)

      Sets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives. One of the usecases can be when the component is used in repeatable elements like in table, for-each etc., where label is not required.
      Parameters:
        `simple` - the new simple value

    - #### getShortDesc

          public final String getShortDesc()

      Gets the short description of the component. The shortDesc text may be used in two different ways, depending on the component.

      For components with images, the shortDesc is often used to render an HTML alt attribute for the image. Please see the accessibility guidelines section for correct alt text usage of the shortDesc attribute.

      shortDesc is also commonly used to render an HTML title attribute, which is used by user agents to display tooltip help text. In this case the behavior for the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips. For form components, the shortDesc is displayed in a note window. For components that support the helpTopicId attribute and are not using the shortDesc as image alt text, it is recommended that helpTopicId is used instead of shortDesc as it is more flexible and provides more accessible descriptive text than the use of the title attribute.

      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets the short description of the component. The shortDesc text may be used in two different ways, depending on the component.

      For components with images, the shortDesc is often used to render an HTML alt attribute for the image. Please see the accessibility guidelines section for correct alt text usage of the shortDesc attribute.

      shortDesc is also commonly used to render an HTML title attribute, which is used by user agents to display tooltip help text. In this case the behavior for the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips. For form components, the shortDesc is displayed in a note window. For components that support the helpTopicId attribute and are not using the shortDesc as image alt text, it is recommended that helpTopicId is used instead of shortDesc as it is more flexible and provides more accessible descriptive text than the use of the title attribute.

      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getUnsecure

          public final Set<String> getUnsecure()

      Gets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client. Currently, this is supported only for the "disabled" attribute. Note that when you are able to set a property on the client, you will be allowed to by using the the .setProperty('attribute', newValue) method, but not the .setXXXAttribute(newValue) method. For example, if you have unsecure="disabled", then on the client you can use the method .setProperty('disabled', false), while the method .setDisabled(false) will not work and will provide a javascript error that setDisabled is not a function.
      Returns:
        the new unsecure value

    - #### setUnsecure

          public final void setUnsecure(Set<String> unsecure)

      Sets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client. Currently, this is supported only for the "disabled" attribute. Note that when you are able to set a property on the client, you will be allowed to by using the the .setProperty('attribute', newValue) method, but not the .setXXXAttribute(newValue) method. For example, if you have unsecure="disabled", then on the client you can use the method .setProperty('disabled', false), while the method .setDisabled(false) will not work and will provide a javascript error that setDisabled is not a function.
      Parameters:
        `unsecure` - the new unsecure value

    - #### isVisible

          public final boolean isVisible()

      Gets the visibility of the component. If it is "false", the component will be hidden on the client. Unlike "rendered", this does not affect the lifecycle on the server - the component may have its bindings executed, etc. - and the visibility of the component can be toggled on and off on the client, or toggled with PPR. When "rendered" is false, the component will not in any way be rendered, and cannot be made visible on the client. In most cases, use the "rendered" property instead of the "visible" property.
      Returns:
        the new visible value

    - #### setVisible

          public final void setVisible(boolean visible)

      Sets the visibility of the component. If it is "false", the component will be hidden on the client. Unlike "rendered", this does not affect the lifecycle on the server - the component may have its bindings executed, etc. - and the visibility of the component can be toggled on and off on the client, or toggled with PPR. When "rendered" is false, the component will not in any way be rendered, and cannot be made visible on the client. In most cases, use the "rendered" property instead of the "visible" property.
      Parameters:
        `visible` - the new visible value

    - #### getCustomizationId

          @Deprecated
          public final String getCustomizationId()

      Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
      Gets This attribute is deprecated. The 'id' attribute should be used when applying persistent customizations. This attribute will be removed in the next release.
      Returns:
        the new customizationId value

    - #### setCustomizationId

          @Deprecated
          public final void setCustomizationId(String customizationId)

      Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
      Sets This attribute is deprecated. The 'id' attribute should be used when applying persistent customizations. This attribute will be removed in the next release.
      Parameters:
        `customizationId` - the new customizationId value

    - #### isClientComponent

          public final boolean isClientComponent()

      Gets whether a client-side component will be generated. A component may be generated whether or not this flag is set, but if client Javascript requires the component object, this must be set to true to guarantee the component's presence. Client component objects that are generated today by default may not be present in the future; setting this flag is the only way to guarantee a component's presence, and clients cannot rely on implicit behavior. However, there is a performance cost to setting this flag, so clients should avoid turning on client components unless absolutely necessary. For the components outputText and outputFormatted, setting the clientComponent to true will render id attribute for the html DOM. This ID attribute can alternatively be generated by setting oracle.adf.view.rich.SUPPRESS_IDS to "auto" in web.xml.
      Returns:
        the new clientComponent value

    - #### setClientComponent

          public final void setClientComponent(boolean clientComponent)

      Sets whether a client-side component will be generated. A component may be generated whether or not this flag is set, but if client Javascript requires the component object, this must be set to true to guarantee the component's presence. Client component objects that are generated today by default may not be present in the future; setting this flag is the only way to guarantee a component's presence, and clients cannot rely on implicit behavior. However, there is a performance cost to setting this flag, so clients should avoid turning on client components unless absolutely necessary. For the components outputText and outputFormatted, setting the clientComponent to true will render id attribute for the html DOM. This ID attribute can alternatively be generated by setting oracle.adf.view.rich.SUPPRESS_IDS to "auto" in web.xml.
      Parameters:
        `clientComponent` - the new clientComponent value

    - #### getClientAttributes

          public final Set getClientAttributes()

      Gets a set of client attribute names.
      Returns:
        the new clientAttributes value

    - #### setClientAttributes

          public final void setClientAttributes(Set clientAttributes)

      Sets a set of client attribute names.
      Parameters:
        `clientAttributes` - the new clientAttributes value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getClientListeners

          public final ClientListenerSet getClientListeners()

      Gets a set of client listeners.
      Returns:
        the new clientListeners value

    - #### setClientListeners

          public final void setClientListeners(ClientListenerSet clientListeners)

      Sets a set of client listeners.
      Parameters:
        `clientListeners` - the new clientListeners value

    - #### getColorData

          public final List<Color> getColorData()

      Gets the list of colors to be displayed in the standard color palette. The number of provided colors can be 49, 64 and 121, depending on the width attribute. For example, if width is 7, the number should be 49. If the number does not match the width, extra color element in the list will be ignored and missing color elements will be displayed as no-color. The color list must be of an array of type TrColor in the client side. On the server side, it must be a java.util.List of java.awt.Color objects or a java.util.List of hex color code strings (in the tag only). Customer may define their own color palette, such as show 169 color palette with width of value 13.
      Returns:
        the new colorData value

    - #### setColorData

          public final void setColorData(List<Color> colorData)

      Sets the list of colors to be displayed in the standard color palette. The number of provided colors can be 49, 64 and 121, depending on the width attribute. For example, if width is 7, the number should be 49. If the number does not match the width, extra color element in the list will be ignored and missing color elements will be displayed as no-color. The color list must be of an array of type TrColor in the client side. On the server side, it must be a java.util.List of java.awt.Color objects or a java.util.List of hex color code strings (in the tag only). Customer may define their own color palette, such as show 169 color palette with width of value 13.
      Parameters:
        `colorData` - the new colorData value

    - #### getCustomColorData

          public final List<Color> getCustomColorData()

      Gets the list of custom defined colors. The number of colors can be 7, 8, 11, equivalent to the width attribute. The color list must be of an array of type TrColor in the client side. On the server side, it must be a java.util.List of java.awt.Color objects or a java.util.List of hex color code strings (in the tag only).
      Returns:
        the new customColorData value

    - #### setCustomColorData

          public final void setCustomColorData(List<Color> customColorData)

      Sets the list of custom defined colors. The number of colors can be 7, 8, 11, equivalent to the width attribute. The color list must be of an array of type TrColor in the client side. On the server side, it must be a java.util.List of java.awt.Color objects or a java.util.List of hex color code strings (in the tag only).
      Parameters:
        `customColorData` - the new customColorData value

    - #### getDefaultColor

          public final Color getDefaultColor()

      Gets the default color. When setting, using the tag it could take a type java.lang.String of #RRGGBB hex color code, e.g. #000000.
      Returns:
        the new defaultColor value

    - #### setDefaultColor

          public final void setDefaultColor(Color defaultColor)

      Sets the default color. When setting, using the tag it could take a type java.lang.String of #RRGGBB hex color code, e.g. #000000.
      Parameters:
        `defaultColor` - the new defaultColor value

    - #### getWidth

          public final int getWidth()

      Gets the width of the standard palette in cells. The default supported values are 7, 8 and 11 which will show the palette with 49, 64 and 121 colors respectively. If the width specified is not one of the default supported values, the color palette with closest and less number of colors will be used unless a custom color palette is defined using the colorData attribute.
      Returns:
        the new width value

    - #### setWidth

          public final void setWidth(int width)

      Sets the width of the standard palette in cells. The default supported values are 7, 8 and 11 which will show the palette with 49, 64 and 121 colors respectively. If the width specified is not one of the default supported values, the color palette with closest and less number of colors will be used unless a custom color palette is defined using the colorData attribute.
      Parameters:
        `width` - the new width value

    - #### isLastUsedVisible

          public final boolean isLastUsedVisible()

      Gets whether the Last Used button is displayed. When set to true, the Last Used Button will be rendered. Last used color information does not persist across browser sessions.
      Returns:
        the new lastUsedVisible value

    - #### setLastUsedVisible

          public final void setLastUsedVisible(boolean lastUsedVisible)

      Sets whether the Last Used button is displayed. When set to true, the Last Used Button will be rendered. Last used color information does not persist across browser sessions.
      Parameters:
        `lastUsedVisible` - the new lastUsedVisible value

    - #### isDefaultVisible

          public final boolean isDefaultVisible()

      Gets whether the Default button is displayed. When set to true, the Default Button will be rendered.
      Returns:
        the new defaultVisible value

    - #### setDefaultVisible

          public final void setDefaultVisible(boolean defaultVisible)

      Sets whether the Default button is displayed. When set to true, the Default Button will be rendered.
      Parameters:
        `defaultVisible` - the new defaultVisible value

    - #### isCustomVisible

          public final boolean isCustomVisible()

      Gets whether the Custom Color button and custom color row are displayed. When set to true, the Custom Color Button and custom color row will be rendered.
      Returns:
        the new customVisible value

    - #### setCustomVisible

          public final void setCustomVisible(boolean customVisible)

      Sets whether the Custom Color button and custom color row are displayed. When set to true, the Custom Color Button and custom color row will be rendered.
      Parameters:
        `customVisible` - the new customVisible value

    - #### getEditable

          public final String getEditable()

      Gets the editable look and feel to use for input components. 'always' indicates that the input component should always look editable. 'onAccess' indicates that the input will only look editable when accessed (hover, focus). 'inherit' indicates that we want to use the component parent's setting. None of the ancestor components define 'always' or 'onAccess', then 'always' will be used.
      Returns:
        the new editable value

    - #### setEditable

          public final void setEditable(String editable)

      Sets the editable look and feel to use for input components. 'always' indicates that the input component should always look editable. 'onAccess' indicates that the input will only look editable when accessed (hover, focus). 'inherit' indicates that we want to use the component parent's setting. None of the ancestor components define 'always' or 'onAccess', then 'always' will be used.
      Parameters:
        `editable` - the new editable value

    - #### getPlaceholder

          public final String getPlaceholder()

      Gets Text to be displayed in the input component when a value is not present.
      Returns:
        the new placeholder value

    - #### setPlaceholder

          public final void setPlaceholder(String placeholder)

      Sets Text to be displayed in the input component when a value is not present.
      Parameters:
        `placeholder` - the new placeholder value

    - #### getUsage

          public final String getUsage()

      Gets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc). Currently, auto will default to text but may in the future conditionally default to some other type. Html types with strict input validation rules (ex: date, number) should be avoided or used with discretion, since they can potentially interfere with the normal functioning of the component and converter.
      Returns:
        the new usage value

    - #### setUsage

          public final void setUsage(String usage)

      Sets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc). Currently, auto will default to text but may in the future conditionally default to some other type. Html types with strict input validation rules (ex: date, number) should be avoided or used with discretion, since they can potentially interfere with the normal functioning of the component and converter.
      Parameters:
        `usage` - the new usage value

    - #### getColumns

          public final int getColumns()

      Gets the number of columns to display in the text control. If no value is specified, a default value will be derived from the current converter, if one is attached.
      Returns:
        the new columns value

    - #### setColumns

          public final void setColumns(int columns)

      Sets the number of columns to display in the text control. If no value is specified, a default value will be derived from the current converter, if one is attached.
      Parameters:
        `columns` - the new columns value

    - #### getAutoComplete

          public final String getAutoComplete()

      Gets whether previous values of text fields in the form should be remembered and offered for auto completion. For browser backward compatibility, "on" and "off" are kept as property values. But it also accepts arbitrary values like on, off, phone-number, billing-address, address-line1, username, etc. which specify how the browser should populate the given form field based on previous user inputs to similar fields.
      Returns:
        the new autoComplete value

    - #### setAutoComplete

          public final void setAutoComplete(String autoComplete)

      Sets whether previous values of text fields in the form should be remembered and offered for auto completion. For browser backward compatibility, "on" and "off" are kept as property values. But it also accepts arbitrary values like on, off, phone-number, billing-address, address-line1, username, etc. which specify how the browser should populate the given form field based on previous user inputs to similar fields.
      Parameters:
        `autoComplete` - the new autoComplete value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component. This is intended for basic style changes; you should use the skinning mechanism if you require any complex style changes. The inlineStyle is a set of CSS styles that are applied to the root DOM element of the component. Many components are composed of several DOM elements which may have their own styles applied to them. Defining a style in the inlineStyle may not always give you what you want. For example, if one of the inner DOM elements for this component has a background color specified for it in the skin, setting a background color in the inlineStyle may not provide any visible change (at least for where that inner DOM element exists) because the inner DOM element's background color will win (since that DOM element is essentially layered on top of the root element). In cases like this, you can use a different skin (or define your own) that defines a skinning key for that inner DOM element where its background color is inhibited (e.g. with -tr-inhibit: background-color) or otherwise set to the color you want.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component. This is intended for basic style changes; you should use the skinning mechanism if you require any complex style changes. The inlineStyle is a set of CSS styles that are applied to the root DOM element of the component. Many components are composed of several DOM elements which may have their own styles applied to them. Defining a style in the inlineStyle may not always give you what you want. For example, if one of the inner DOM elements for this component has a background color specified for it in the skin, setting a background color in the inlineStyle may not provide any visible change (at least for where that inner DOM element exists) because the inner DOM element's background color will win (since that DOM element is essentially layered on top of the root element). In cases like this, you can use a different skin (or define your own) that defines a skinning key for that inner DOM element where its background color is inhibited (e.g. with -tr-inhibit: background-color) or otherwise set to the color you want.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getChooseId

          public final String getChooseId()

      Gets

      the id of the chooseColor component which can be used to pick the Color value for this inputColor. If not set, the inputColor has its own popup chooseColor and attributes colorData, customColorData, defaultColor and width are used to specify properties of the popup chooseColor. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.

      Returns:
        the new chooseId value

    - #### setChooseId

          public final void setChooseId(String chooseId)

      Sets

      the id of the chooseColor component which can be used to pick the Color value for this inputColor. If not set, the inputColor has its own popup chooseColor and attributes colorData, customColorData, defaultColor and width are used to specify properties of the popup chooseColor. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.

      Parameters:
        `chooseId` - the new chooseId value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component. The styleClass attribute value is rendered on the root dom element.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component. The styleClass attribute value is rendered on the root dom element.
      Parameters:
        `styleClass` - the new styleClass value

    - #### isCompact

          public final boolean isCompact()

      Gets an attribute which when set to true, the color value text field will be hidden.
      Returns:
        the new compact value

    - #### setCompact

          public final void setCompact(boolean compact)

      Sets an attribute which when set to true, the color value text field will be hidden.
      Parameters:
        `compact` - the new compact value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `org.apache.myfaces.trinidad.component.UIXSelectInput`

    - #### getBeanType

          protected org.apache.myfaces.trinidad.bean.FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `org.apache.myfaces.trinidad.component.UIXSelectInput`

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.